<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'chequiers';

		/* data for selected record, or defaults if none is selected */
		var data = {
			compte: <?php echo json_encode(array('id' => $rdata['compte'], 'value' => $rdata['compte'], 'text' => $jdata['compte'])); ?>,
			banque: <?php echo json_encode($jdata['banque']); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for compte */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'compte' && d.id == data.compte.id)
				return { results: [ data.compte ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for compte autofills */
		cache.addCheck(function(u, d) {
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'compte' && d.id == data.compte.id) {
				$j('#banque' + d[rnd]).html(data.banque);
				return true;
			}

			return false;
		});

		cache.start();
	});
</script>

